import { onMounted, ref } from "vue";

const statusBarHeight = ref(0);
const navBarHeight = 44;
const windowHeight = ref(0);
const screenWidth = ref(0);
const safeAreaBottom = ref(0);
const safeAreaInsetsBottom = ref(0);

export default () => {
  const setSystemInfos = () => {
    const res = uni.getSystemInfoSync();
    statusBarHeight.value = res.statusBarHeight;
    windowHeight.value = res.windowHeight;
    screenWidth.value = res.screenWidth;
    safeAreaInsetsBottom.value = res.safeAreaInsets.bottom;
    safeAreaBottom.value = res.safeArea.bottom;
  };

  onMounted(() => {
    const info = uni.getSystemInfoSync();
    statusBarHeight.value = info.statusBarHeight;
    windowHeight.value = info.windowHeight;
    screenWidth.value = info.screenWidth;
    safeAreaInsetsBottom.value = info.safeAreaInsets.bottom;
    safeAreaBottom.value = info.safeArea.bottom;
  });

  return {
    setSystemInfos,
    statusBarHeight,
    navBarHeight,
    windowHeight,
    screenWidth,
    safeAreaBottom,
    safeAreaInsetsBottom,
  };
};
