// 模态框
const showModal = (options) => {
  const {
    title = '温馨提示',
  } = options
  return new Promise((resolve, reject) => {
    uni.showModal({
      title,
      ...options,
      success: (res) => res.confirm ? resolve(true) : resolve(false)
    });
  })
}

const showActionSheet = ({ itemList } = options) => {
  return new Promise((resolve, reject) => {
    uni.showActionSheet({
      itemList,
      success: ({ tapIndex }) =>  resolve(tapIndex),
      fail: () => reject()
    })
  });
}

export {
  showModal,
  showActionSheet
}
